# Unit isrmanager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

ISR->`ISRManager` - Interrupt Service Routine Registration, Dispatch & Management.

## Uses

- isr
- idt
- isr_types
- util

## Overview

### Functions and Procedures

`procedure init;`
`procedure registerISR(INT_N : uint8; callback : TISRHook);`

### Types

`TISRHook = procedure();`
`TISRNHookArray = Array[0..MAX_HOOKS] of TISRHook;`
`TISRHookArray = Array[0..255] of TISRNHookArray;`

## Description

### Functions and Procedures

`procedure init;`

`procedure registerISR(INT_N : uint8; callback : TISRHook);`

### Types

`TISRHook = procedure();`

`TISRNHookArray = Array[0..MAX_HOOKS] of TISRHook;`

`TISRHookArray = Array[0..255] of TISRNHookArray;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.